For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList events
      • POSTCreate an event
      • GETGet an event
      • POSTAcknowledge an event
      • GETGet subscription credentials
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceEvents

List events

GET
https://api.x.flatfile.com/v1/events
GET
/v1/events
$curl https://api.x.flatfile.com/v1/events \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
200Example0
1{
2 "data": [
3 {
4 "topic": "workbook:updated",
5 "context": {
6 "accountId": "us_acc_YOUR_ID",
7 "environmentId": "us_env_YOUR_ID",
8 "spaceId": "us_sp_YOUR_ID",
9 "workbookId": "us_wb_YOUR_ID",
10 "actorId": "us_key_SOME_KEY"
11 },
12 "createdAt": "2023-11-07T20:46:04.300Z",
13 "domain": "workbook",
14 "id": "us_evt_YOUR_ID",
15 "payload": {
16 "recordsAdded": 100
17 },
18 "callbackUrl": "",
19 "dataUrl": "",
20 "namespaces": [
21 "workbook"
22 ],
23 "origin": {
24 "id": "us_wb_YOUR_ID"
25 }
26 }
27 ]
28}
Event topics that the Flatfile Platform emits.
Was this page helpful?
Previous

Create an event

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Disable-Hooks"true"Required

Query parameters

environmentIdstringOptional
Filter by environment
spaceIdstringOptional
Filter by space
domainstringOptional
Filter by event domain
topicstringOptional
Filter by event topic
sincedatetimeOptional
Filter by event timestamp
pageSizeintegerOptional

Number of results to return in a page (default 10)

pageNumberintegerOptional
Based on pageSize, which page of results to return
includeAcknowledgedbooleanOptional
Include acknowledged events

Response

This endpoint returns an object.
datalist of objects